    //- Region 1
    fvMesh& mesh = fluidRegions[0];
    volVectorField& U = UFluid[0];
    surfaceScalarField& phi = phiFluid[0];
    phi = fvc::interpolate(U) & mesh.Sf();
    volScalarField& p = pFluid[0];
    singlePhaseTransportModel laminarTransport(U, phi);

    autoPtr<incompressible::turbulenceModel> turb
    (
        incompressible::turbulenceModel::New(U, phi, laminarTransport)
    );

    //- Region 2
    fvMesh& meshTwo = fluidRegions[1];
    volVectorField& UTwo = UFluid[1];
    surfaceScalarField& phiTwo = phiFluid[1];
    phiTwo = fvc::interpolate(UTwo) & meshTwo.Sf();
    volScalarField& pTwo = pFluid[1];
    singlePhaseTransportModel laminarTransportTwo(UTwo, phiTwo);

    autoPtr<incompressible::turbulenceModel> turbTwo
    (
        incompressible::turbulenceModel::New(UTwo, phiTwo, laminarTransportTwo)
    );
    